## libdnf 0.48.0

=== debian/changelog ===
libdnf (0.48.0-2+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Sat, 17 Oct 2020 22:14:20 +0200

libdnf (0.48.0-2) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Update to libdnf-0.48.0
  * version 0.48.0-1

  [ Marek Marczykowski-Górecki ]
  * debian: adjust libsolv deps version

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 17 Oct 2020 22:14:20 +0200

libdnf (0.48.0-1) unstable; urgency=medium

  * Update to libdnf-0.48.0

 -- Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org>  Sun, 11 Oct 2020 12:30:22 +0200

libdnf (0.35.3-1) unstable; urgency=medium

  * Initial commit

 -- Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org>  Tue, 29 Sep 2020 17:00:00 +0200
