=== debian/control ===
Source: libdnf
Section: libs
Priority: optional
Maintainer: Mihai Moldovan <ionic@ionic.de>
Uploaders: Frédéric Pierret <frederic.pierret@qubes-os.org>
Build-Depends: debhelper (>= 9~),
 dh-python,
 python3-dev,
 libpython3-dev,
 cmake (>= 2.8.5-1~),
 pkg-config,
 libglib2.0-dev (>= 2.50.3-2.1~),
 libsolv-dev (>= 0.7.14-1.1~),
 libsolvext-dev (>= 0.7.14-1.1~),
 libsolv-tools (>= 0.7.14-1.1~),
 librpm-dev (>= 4.14.2.1+dfsg1-1.1~),
 libzstd-dev,
 librepo-dev (>= 1.10.0-1~),
 gtk-doc-tools,
 python3-sphinx,
 check,
 python3-nose,
 libgpgme-dev,
 libssl-dev,
 libjson-c-dev,
 libmodulemd-dev,
 libsmartcols-dev (>= 2.29.2-1+deb9u1.1~),
 libsqlite3-dev,
 gettext,
 swig,
 libcppunit-dev,
 doxygen,
 python3-breathe,
 rpm-common (>= 4.14.2.1+dfsg1-1.1~),
 valgrind,
Standards-Version: 4.4.0.1
Homepage: https://github.com/rpm-software-management/libdnf
Vcs-Browser: https://github.com/rpm-software-management/libdnf
Vcs-Git: https://github.com/rpm-software-management/libdnf.git
#Testsuite: autopkgtest-pkg-python

Package: libdnf-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
 libdnf2 (= ${binary:Version}),
 libsolv-dev (>= 0.7.14-1.1~),
 libsolvext-dev (>= 0.7.14-1.1~),
Breaks: gir1.2-libdnf-1.0 (<< ${binary:Version})
Description: libdnf - development files
 A library providing simplified C and Python APIs to libsolv.
 .
 This package contains the development header files for the
 libdnf library.

Package: libdnf1
Depends: ${misc:Depends},
 libdnf2,
Architecture: all
Multi-Arch: foreign
Priority: optional
Section: oldlibs
Description: transitional package
 This is a transitional package. It can safely be removed.

Package: libdnf2
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends},
 libdnf2-common (= ${source:Version}),
Replaces: libdnf1 (<< 0.35.3-1~)
Breaks: libdnf1 (<< 0.35.3-1~)
Description: libdnf - shared library
 A library providing simplified C and Python APIs to libsolv.
 .
 This package provides the libdnf shared library.

Package: libdnf2-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: libdnf - common files
 A library providing simplified C and Python APIs to libsolv.
 .
 This package provides common files for the libdnf library.

Package: libdnf-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
Description: Documentation for the libdnf library (common documentation)
 A library providing simplified C and Python APIs to libsolv.
 .
 This package installs common documentation for the libdnf
 C bindings.

Package: python3-hawkey
Architecture: any
Multi-Arch: no
Section: python
Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends},
 libdnf2 (= ${binary:Version}),
 python3-libdnf (= ${binary:Version}),
Suggests: python3-hawkey-docs
Description: Python bindings for the hawkey library (Python 3)
 A library providing simplified C and Python APIs to libsolv.
 .
 This package installs the hawkey library for Python 3.

Package: python3-hawkey-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends},
Description: Python 3 bindings for the hawkey library (common documentation)
 A library providing simplified C and Python APIs to libsolv.
 .
 This package installs common documentation for the hawkey Python
 3 bindings.

Package: python3-libdnf
Architecture: any
Multi-Arch: no
Section: python
Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends},
 libdnf2 (= ${binary:Version}),
Description: Python bindings for the libdnf library (Python 3)
 A library providing simplified C and Python APIs to libsolv.
 .
 This package installs the libdnf library for Python 3.
