=== debian/rules ===
--- 
+++ 
@@ -3,12 +3,12 @@
 # output every command that modifies files on the build system.
 # export DH_VERBOSE = 1
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=+fixfilepath
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/default.mk
 
 %:
-	dh "${@}" --parallel --buildsystem=cmake --with=python3
+	dh "${@}" --buildsystem=cmake --with=python3
 
 override_dh_auto_configure:
 	dh_auto_configure --builddirectory=build -- -DWITH_BINDINGS:BOOL=ON -DWITH_GTKDOC:BOOL=ON \
