## libdnf 0.55.2

=== debian/changelog ===
libdnf (0.55.2-6) unstable; urgency=high

  * Add patch for signature check with rpmcliVerifySignatures. Closes: #986802.

 -- Frédéric Pierret <frederic.pierret@qubes-os.org>  Wed, 14 Apr 2021 21:26:57 +0200

libdnf (0.55.2-5) unstable; urgency=medium

  * Team upload.

  [ Marek Marczykowski-Górecki ]
  * Use shlibs file instead of symbols.

 -- Holger Levsen <holger@debian.org>  Thu, 04 Feb 2021 01:17:07 +0100

libdnf (0.55.2-4) unstable; urgency=medium

  * Team upload.
  * Source upload for testing migration.

 -- Holger Levsen <holger@debian.org>  Wed, 03 Feb 2021 13:05:37 +0100

libdnf (0.55.2-3) unstable; urgency=medium

  * debian/copyright: Update and specify copyright holders

 -- Frédéric Pierret <frederic.pierret@qubes-os.org>  Tue, 02 Feb 2021 14:13:30 +0100

libdnf (0.55.2-2) unstable; urgency=medium

  * Update renamed lintian tag names in lintian overrides.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove listed license files (COPYING) from copyright.
  * Remove unnecessary get-orig-source-target.

 -- Frédéric Pierret <frederic.pierret@qubes-os.org>  Wed, 30 Dec 2020 09:38:25 -0000

libdnf (0.55.2-1) unstable; urgency=medium

  * Initial upload.
  * libdnf, libcomps and librepo are all needed for dnf, see #978627 (ITP bug
    for dnf) and https://github.com/QubesOS/qubes-issues/issues/5940 for more
    details on this packaging efford.

 -- Frédéric Pierret <frederic.pierret@qubes-os.org>  Sat, 26 Dec 2020 10:00:00 +0100
