=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Mihai Moldovan <ionic@ionic.de>
 Uploaders: Frédéric Pierret <frederic.pierret@qubes-os.org>
-Build-Depends: debhelper (>= 9~),
+Build-Depends: debhelper-compat (= 10),
  dh-python,
  python3-dev,
  libpython3-dev,
@@ -33,10 +33,10 @@
  python3-breathe,
  rpm-common (>= 4.14.2.1+dfsg1-1.1~),
  valgrind,
-Standards-Version: 4.4.0.1
+Standards-Version: 4.5.1
 Homepage: https://github.com/rpm-software-management/libdnf
-Vcs-Browser: https://github.com/rpm-software-management/libdnf
-Vcs-Git: https://github.com/rpm-software-management/libdnf.git
+Vcs-Browser: https://salsa.debian.org/fepitre/libdnf
+Vcs-Git: https://salsa.debian.org/fepitre/libdnf.git
 #Testsuite: autopkgtest-pkg-python
 
 Package: libdnf-dev
@@ -65,6 +65,7 @@
  This is a transitional package. It can safely be removed.
 
 Package: libdnf2
+Provides: libdnf
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends},
@@ -103,6 +104,7 @@
 Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends},
  libdnf2 (= ${binary:Version}),
  python3-libdnf (= ${binary:Version}),
+Provides: ${python3:Provides},
 Suggests: python3-hawkey-docs
 Description: Python bindings for the hawkey library (Python 3)
  A library providing simplified C and Python APIs to libsolv.
@@ -126,6 +128,7 @@
 Section: python
 Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends},
  libdnf2 (= ${binary:Version}),
+Provides: ${python3:Provides},
 Description: Python bindings for the libdnf library (Python 3)
  A library providing simplified C and Python APIs to libsolv.
  .
