=== debian/rules ===
--- 
+++ 
@@ -22,16 +22,22 @@
 	else \
 		sed -i -e '/^@LIBSMARTCOLS_COMPAT@/s/^@LIBSMARTCOLS_COMPAT@//' 'libdnf/utils/smartcols/Cell.hpp'; \
 	fi
+	# Fix file format
+	iconv -f ISO-8859-15 -t UTF-8 docs/libdnf/html/common.css -o docs/libdnf/html/common.css
 
 override_dh_auto_build:
 	dh_auto_build --builddirectory=build -- all doc-html doc-gtk doc
 
 override_dh_auto_install:
 	dh_auto_install --builddirectory=build
-	# Remove doctree files (redundant, conflicts with reproducible builds)
+# Remove doctree files (redundant, conflicts with reproducible builds)
 	rm -rfv 'build/docs/hawkey/html/.doctrees'
 	# Use system-provides files.
-	rm -fv 'build/docs/hawkey/html/_static/jquery.js' 'build/docs/hawkey/html/_static/underscore.js'
+	rm -fv 'build/docs/hawkey/html/_static/jquery.js' \
+	       'build/docs/hawkey/html/_static/underscore.js' \
+	       'build/docs/hawkey/html/_static/doctools.js' \
+	       'build/docs/hawkey/html/_static/language_data.js' \
+	       'build/docs/hawkey/html/_static/searchtools.js'
 
 override_dh_auto_clean:
 	rm -f 'libdnf/dnf-version.h'
@@ -39,7 +45,7 @@
 
 override_dh_auto_test:
 	mkdir '$(CURDIR)/debian/tests-home'
-	HOME='$(CURDIR)/debian/tests-home' dh_auto_test --builddirectory=build -- ARGS='-V'
+	LC_ALL=C HOME='$(CURDIR)/debian/tests-home' dh_auto_test --builddirectory=build -- ARGS='-V'
 
 override_dh_missing:
 	dh_missing --fail-missing
