=== debian/changelog ===
libdnf (0.69.0-2) unstable; urgency=medium

  * Set myself to maintainer

 -- Frédéric Pierret <frederic.pierret@qubes-os.org>  Sun, 08 Jan 2023 10:08:51 +0100

libdnf (0.69.0-1) unstable; urgency=medium

  * Update to libdnf-0.69.0.
  * Update debian/control:bump debhelper-compat to 13 and update
    Build-Depends constraints.
  * Update debian/rules: remove reproducible flag being the default,
    remove not needed anymore PYTHON_DESIRED from dh_auto_configure,
    remove undeeded override of dh_install as debhelper is bumped and,
    few cleanups.
  * Update debian/watch: update to use tags endpoint.

 -- Frédéric Pierret <frederic.pierret@qubes-os.org>  Sat, 12 Nov 2022 15:51:20 +0100

libdnf (0.62.0-1) experimental; urgency=high

  * Update to libdnf-0.62.0

 -- Frédéric Pierret <frederic.pierret@qubes-os.org>  Wed, 14 Apr 2021 14:59:34 +0200
