=== debian/control ===
--- 
+++ 
@@ -1,21 +1,20 @@
 Source: libdnf
 Section: libs
 Priority: optional
-Maintainer: Mihai Moldovan <ionic@ionic.de>
-Uploaders: Frédéric Pierret <frederic.pierret@qubes-os.org>
-Build-Depends: debhelper-compat (= 10),
+Maintainer: Frédéric Pierret <frederic.pierret@qubes-os.org>
+Build-Depends: debhelper-compat (= 13),
  dh-python,
  python3-dev,
  libpython3-dev,
- cmake (>= 2.8.5-1~),
+ cmake,
  pkg-config,
- libglib2.0-dev (>= 2.50.3-2.1~),
+ libglib2.0-dev,
  libsolv-dev (>= 0.7.14-1.1~),
  libsolvext-dev (>= 0.7.14-1.1~),
  libsolv-tools (>= 0.7.14-1.1~),
  librpm-dev (>= 4.14.2.1+dfsg1-1.1~),
  libzstd-dev,
- librepo-dev (>= 1.10.0-1~),
+ librepo-dev (>= 1.14.5-1~),
  gtk-doc-tools,
  python3-sphinx,
  check,
@@ -24,7 +23,7 @@
  libssl-dev,
  libjson-c-dev,
  libmodulemd-dev,
- libsmartcols-dev (>= 2.29.2-1+deb9u1.1~),
+ libsmartcols-dev,
  libsqlite3-dev,
  gettext,
  swig,
