## libdnf 0.73.2

=== debian/changelog ===
libdnf (0.73.2-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/0.73.2'

 -- Luca Boccassi <bluca@debian.org>  Sat, 29 Jun 2024 20:38:56 +0100

libdnf (0.73.1-3) unstable; urgency=medium

  * Remove workaround for dh_python3 regression, fixed in latest upload
  * Drop patch to use rpmdb in home, no longer needed

 -- Luca Boccassi <bluca@debian.org>  Mon, 06 May 2024 20:29:03 +0100

libdnf (0.73.1-2) unstable; urgency=medium

  * Add workaround for dh_python3 regression that wrongly renames cpython
    module

 -- Luca Boccassi <bluca@debian.org>  Sat, 20 Apr 2024 20:17:09 +0100

libdnf (0.73.1-1) unstable; urgency=medium

  * Switch to git-buildpackage workflow
  * Update upstream source from tag 'upstream/0.73.1'
  * Drop 0006-Add-rpmdb-in-home-directory-to-checksum-and-DNF-cont.patch,
    no longer needed
  * Refresh patches for new version
  * Bump dependency on librepo-dev to 1.15.0
  * Bump dependency on rpm to 4.15.0
  * Bump dependency on modulemd to 2.11.2
  * python3-libdnf: install python metadata too
  * Drop dh_missing from d/rules, it's default in compat 13
  * Drop dependency on python3-nose, deprecated (Closes: #1018395)
  * Drop transitional libdnf1 package (Closes: #1038262)
  * python3-hawkey-doc: add dependencies on libjs-jquery and libjs-
    underscore (Closes: #988770)
  * Add d/clean to remove leftover doc files (Closes: #1045949)
  * 0013-python-tests-fix-locale-issues.patch: do not create
    python/hawkey/tests/tests/__init__.py
  * Use a patch instead of manually mangling source file (Closes: #1045949)
  * Switch to pkgconf
  * Set Rules-Requires-Root: no
  * Switch to dh-sequence-python3
  * Enable ELF metadata stamping
  * Bump Standards-Version to 4.7.0
  * Move manpage to -dev package
  * Fix typo in 0013-python-tests-fix-locale-issues.patch
  * Drop Lintian override for python3-hawkey, no longer needed

 -- Luca Boccassi <bluca@debian.org>  Mon, 15 Apr 2024 01:03:35 +0100

libdnf (0.69.0-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Steve Langasek <vorlon@debian.org>  Wed, 31 Jan 2024 22:13:42 +0000

libdnf (0.69.0-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Use mkdir -p in override_dh_auto_test to fix FTBFS on buildds

 -- Luca Boccassi <bluca@debian.org>  Fri, 03 Nov 2023 19:22:17 +0000

libdnf (0.69.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Move python3 modules from /usr/lib/local/ (Closes: #1052915)

 -- Luca Boccassi <bluca@debian.org>  Sun, 29 Oct 2023 15:57:28 +0000
