=== debian/control ===
--- 
+++ 
@@ -1,28 +1,30 @@
 Source: libdnf
 Section: libs
 Priority: optional
-Maintainer: Frédéric Pierret <frederic.pierret@qubes-os.org>
+Maintainer: RPM packaging team <team+pkg-rpm@tracker.debian.org>
+Uploaders: Frédéric Pierret <frederic.pierret@qubes-os.org>,
+           Luca Boccassi <bluca@debian.org>,
 Build-Depends: debhelper-compat (= 13),
- dh-python,
+ dh-package-notes,
+ dh-sequence-python3,
  python3-dev,
  libpython3-dev,
  cmake,
- pkg-config,
+ pkgconf,
  libglib2.0-dev,
  libsolv-dev (>= 0.7.14-1.1~),
  libsolvext-dev (>= 0.7.14-1.1~),
  libsolv-tools (>= 0.7.14-1.1~),
- librpm-dev (>= 4.14.2.1+dfsg1-1.1~),
+ librpm-dev (>= 4.19.1.1~),
  libzstd-dev,
- librepo-dev (>= 1.14.5-1~),
+ librepo-dev (>= 1.15.0~),
  gtk-doc-tools,
  python3-sphinx,
  check,
- python3-nose,
  libgpgme-dev,
  libssl-dev,
  libjson-c-dev,
- libmodulemd-dev,
+ libmodulemd-dev (>= 2.11.2~),
  libsmartcols-dev,
  libsqlite3-dev,
  gettext,
@@ -30,12 +32,13 @@
  libcppunit-dev,
  doxygen,
  python3-breathe,
- rpm-common (>= 4.14.2.1+dfsg1-1.1~),
+ rpm-common (>= 4.19.1.1~),
  valgrind,
-Standards-Version: 4.5.1
+Rules-Requires-Root: no
+Standards-Version: 4.7.0
 Homepage: https://github.com/rpm-software-management/libdnf
-Vcs-Browser: https://salsa.debian.org/fepitre/libdnf
-Vcs-Git: https://salsa.debian.org/fepitre/libdnf.git
+Vcs-Browser: https://salsa.debian.org/pkg-rpm-team/libdnf
+Vcs-Git: https://salsa.debian.org/pkg-rpm-team/libdnf.git
 #Testsuite: autopkgtest-pkg-python
 
 Package: libdnf-dev
@@ -43,34 +46,26 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
- libdnf2 (= ${binary:Version}),
+ libdnf2t64 (= ${binary:Version}),
  libsolv-dev (>= 0.7.14-1.1~),
  libsolvext-dev (>= 0.7.14-1.1~),
-Breaks: gir1.2-libdnf-1.0 (<< ${binary:Version})
+Breaks: gir1.2-libdnf-1.0 (<< ${binary:Version}),
+        libdnf2t64 (<< 0.73.1-1~), libdnf2 (<< 0.73.1-1~),
+Replaces: libdnf2t64 (<< 0.73.1-1~), libdnf2 (<< 0.73.1-1~),
 Description: libdnf - development files
  A library providing simplified C and Python APIs to libsolv.
  .
  This package contains the development header files for the
  libdnf library.
 
-Package: libdnf1
-Depends: ${misc:Depends},
- libdnf2,
-Architecture: all
-Multi-Arch: foreign
-Priority: optional
-Section: oldlibs
-Description: transitional package
- This is a transitional package. It can safely be removed.
-
-Package: libdnf2
-Provides: libdnf
+Package: libdnf2t64
+Provides: libdnf, ${t64:Provides}
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends},
  libdnf2-common (= ${source:Version}),
-Replaces: libdnf1 (<< 0.35.3-1~)
-Breaks: libdnf1 (<< 0.35.3-1~)
+Replaces: libdnf2,
+Breaks: libdnf2 (<< ${source:Version}),
 Description: libdnf - shared library
  A library providing simplified C and Python APIs to libsolv.
  .
@@ -101,7 +96,7 @@
 Multi-Arch: no
 Section: python
 Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends},
- libdnf2 (= ${binary:Version}),
+ libdnf2t64 (= ${binary:Version}),
  python3-libdnf (= ${binary:Version}),
 Provides: ${python3:Provides},
 Suggests: python3-hawkey-docs
@@ -115,6 +110,7 @@
 Multi-Arch: foreign
 Section: doc
 Depends: ${sphinxdoc:Depends}, ${misc:Depends},
+         libjs-jquery, libjs-underscore,
 Description: Python 3 bindings for the hawkey library (common documentation)
  A library providing simplified C and Python APIs to libsolv.
  .
@@ -126,7 +122,7 @@
 Multi-Arch: no
 Section: python
 Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends},
- libdnf2 (= ${binary:Version}),
+ libdnf2t64 (= ${binary:Version}),
 Provides: ${python3:Provides},
 Description: Python bindings for the libdnf library (Python 3)
  A library providing simplified C and Python APIs to libsolv.
