=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,10 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/default.mk
+include /usr/share/debhelper/dh_package_notes/package-notes.mk
 
 %:
-	dh "${@}" --buildsystem=cmake --with=python3
+	dh "${@}" --buildsystem=cmake
 
 override_dh_auto_configure:
 	dh_auto_configure --builddirectory=build -- \
@@ -24,9 +25,6 @@
 		-DLIB:STRING="lib/$(shell dpkg-architecture -qDEB_BUILD_MULTIARCH)"
 
 	sed -i -e '/^@LIBSMARTCOLS_COMPAT@/s/^@LIBSMARTCOLS_COMPAT@/\/\//' 'libdnf/utils/smartcols/Cell.hpp'; \
-
-	# Fix file format
-	iconv -f ISO-8859-15 -t UTF-8 docs/libdnf/html/common.css -o docs/libdnf/html/common.css
 
 override_dh_auto_build:
 	dh_auto_build --builddirectory=build -- all doc-html doc-gtk doc
@@ -49,11 +47,8 @@
 	dh_auto_clean --builddirectory=build
 
 override_dh_auto_test:
-	mkdir '$(CURDIR)/debian/tests-home'
+	mkdir -p '$(CURDIR)/debian/tests-home'
 	LC_ALL=C HOME='$(CURDIR)/debian/tests-home' dh_auto_test --builddirectory=build -- ARGS='-V'
-
-override_dh_missing:
-	dh_missing --fail-missing
 
 override_dh_installchangelogs:
 	# Do not try to install a history directory within docs.
