## libdnf 0.73.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -27,12 +27,14 @@
 
 # build options
 option(WITH_BINDINGS "Enables python/SWIG bindings" ON)
+option(ENABLE_STATIC "Build a static library instead of shared" OFF)
 option(WITH_GTKDOC "Enables libdnf GTK-Doc HTML documentation" ON)
 option(WITH_HTML "Enables hawkey HTML generation" ON)
 option(WITH_MAN "Enables hawkey man page generation" ON)
 option(WITH_ZCHUNK "Build with zchunk support" ON)
 option(ENABLE_RHSM_SUPPORT "Build with Red Hat Subscription Manager support?" OFF)
 option(ENABLE_SOLV_URPMREORDER "Build with support for URPM-like solution reordering?" OFF)
+option(WITH_TESTS "Enables unit tests" ON)
 
 
 # build options - debugging
@@ -49,9 +51,7 @@
 
 
 # build dependencies
-find_package(Gpgme REQUIRED)
-find_package(LibSolv 0.6.30 REQUIRED COMPONENTS ext)
-find_package(OpenSSL REQUIRED)
+find_package(LibSolv 0.7.21 REQUIRED COMPONENTS ext)
 
 
 # build dependencies via pkg-config
@@ -60,11 +60,11 @@
 include_directories(${GLIB_INCLUDE_DIRS})
 pkg_check_modules(JSONC REQUIRED json-c)
 include_directories(${JSONC_INCLUDE_DIRS})
-pkg_check_modules(LIBMODULEMD REQUIRED modulemd-2.0>=2.5.0)
-pkg_check_modules(REPO REQUIRED librepo>=0.11.0)
+pkg_check_modules(LIBMODULEMD REQUIRED modulemd-2.0>=2.11.2)
+pkg_check_modules(REPO REQUIRED librepo>=1.18.0)
 include_directories(${REPO_INCLUDE_DIRS})
 link_directories(${REPO_LIBRARY_DIRS})
-pkg_check_modules(RPM REQUIRED rpm>=4.11.0)
+pkg_check_modules(RPM REQUIRED rpm>=4.15.0)
 pkg_check_modules(SMARTCOLS REQUIRED smartcols)
 pkg_check_modules(SQLite3 REQUIRED sqlite3)
 
@@ -106,6 +106,9 @@
         message(FATAL_ERROR "Invalid PYTHON_DESIRED value: " ${PYTHON_DESIRED})
     endif()
     find_package(PythonLibs REQUIRED)
+    message(STATUS "Building for python${PYTHON_VERSION_MAJOR}")
+else()
+    message(STATUS "Not building language bindings")
 endif()
 
 
@@ -127,9 +130,6 @@
 add_definitions(-DGETTEXT_DOMAIN=\\"libdnf\\")
 add_definitions(-DG_LOG_DOMAIN=\\"libdnf\\")
 
-# gpgme: LargeFile Support is required on 32bit architectures
-add_definitions(-D_FILE_OFFSET_BITS=64)
-
 # tests
 add_definitions(-DTESTDATADIR=\\"${CMAKE_SOURCE_DIR}/data/tests\\")
 
@@ -143,6 +143,10 @@
     add_definitions(-DLIBSOLV_FLAG_URPMREORDER=1)
 endif()
 
+# If defined, libsolv adds the prefix "dep_" to solvable dependencies.
+# As a result, `requires` is renamed to `dep_requires`.
+# Needed for C++20. `requires` is a keyword in C++20.
+add_definitions(-DLIBSOLV_SOLVABLE_PREPEND_DEP)
 
 if(WITH_SANITIZERS)
     message(WARNING "Building with sanitizers enabled!")
@@ -171,8 +175,10 @@
 
 
 # build tests
+IF (WITH_TESTS)
 enable_testing()
 add_subdirectory(tests)
+ENDIF()
 if(WITH_BINDINGS)
     add_subdirectory(python/hawkey)
 endif()
