=== debian/changelog ===
libdnf (0.73.4-2) unstable; urgency=medium

  * Backport patch to fix libdnf segfault

 -- Luca Boccassi <bluca@debian.org>  Mon, 27 Jan 2025 11:16:37 +0000

libdnf (0.73.4-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/0.73.4'
  * Refresh patches to remove fuzz

 -- Luca Boccassi <bluca@debian.org>  Thu, 14 Nov 2024 12:17:18 +0000
