=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,9 @@
+add_subdirectory(libdnf/conf)
 add_subdirectory(libdnf/module/modulemd)
 add_subdirectory(libdnf/module)
 add_subdirectory(libdnf/repo)
 add_subdirectory(libdnf/transaction)
+add_subdirectory(libdnf/sack)
 add_subdirectory(hawkey)
 add_subdirectory(libdnf)
