=== debian/changelog ===
libdnf (0.74.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/0.74.0'
  * Refresh patch to remove fuzz from new version
  * Drop 0015-fix-segfault.patch, merged upstream

 -- Luca Boccassi <bluca@debian.org>  Sat, 08 Mar 2025 12:29:37 +0000
