=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  libsolv-tools (>= 0.7.14-1.1~),
  librpm-dev (>= 4.19.1.1~),
  libzstd-dev,
- librepo-dev (>= 1.15.0~),
+ librepo-dev (>= 1.18.1~),
  gtk-doc-tools,
  python3-sphinx,
  check,
@@ -33,7 +33,6 @@
  doxygen,
  python3-breathe,
  rpm-common (>= 4.19.1.1~),
- valgrind,
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
 Homepage: https://github.com/rpm-software-management/libdnf
